package holeg;

public enum GridSolverResult {
    /**
     * An error occurred during the solving.
     */
    Error,
    /**
     * Any subgrid was not solved successfully.
     */
    PartialFailure,
    /**
     * All subgrids were solved successfully.
     */
    Solved,
    /**
     * The solving was interrupted (stopped). No solution was produced.
     */
    Interrupted
}
