package holeg;

import holeg.model.Grid;

import java.util.ArrayList;
import java.util.List;

public class HolegPowerFlowContext {
    public PowerFlowSettings settings = PowerFlowSettings.getDefault();
    public List<Grid> lastSolvedGrids = new ArrayList<>();
    public Thread solverJob;
    public float solverTimeMilliseconds;
    public Grid showGridForVisual;

    public void clearCache() {
        lastSolvedGrids.clear();
    }

    public boolean isSolving() {
        return solverJob != null && solverJob.isAlive();
    }
}
