package holeg.model;

import holeg.power_flow.ComplexNumber;

import java.util.List;

public interface GridNode {
    List<GridEdge> getEdges();

    NodeType getTypeByDesign();
    NodeType getTypeSolved();
    ComplexNumber getPowerConsumption();
    ComplexNumber getPowerGeneration();
    Object getTag();

    void setVoltage(double voltage);
    void setPhase(double phaseDegrees);
    void setCurrent(double current);
    void setTypeSolved(NodeType type);
}
